package com.yihu.jw.entity.hospital.healthCare;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 处方上传记录表
 *
 * Created by yeshijie on 2021/10/4.
 */
@Entity
@Table(name = "base_ylz_medical_prescription_upload")
public class YlzMedicalPrescriptionUploadDO extends UuidIdentityEntity {

    private String icCardNo;//社保卡号
    private String hisSerial;//his挂号号
    private String orgCode;//医院编码
    private String transactionNo;//处方上传流水号
    private String insuranceSerial;//医保流水号
    private String regionCode;//参保地区划代码
    private String idcard;//证件号码
    private String name;//姓名
    private String certType;//证件类型
    private String dataSource;//数据来源
    private String outpatientId;//门诊id
    private String prescriptionId;//处方id

    public String getIcCardNo() {
        return icCardNo;
    }

    public void setIcCardNo(String icCardNo) {
        this.icCardNo = icCardNo;
    }

    public String getHisSerial() {
        return hisSerial;
    }

    public void setHisSerial(String hisSerial) {
        this.hisSerial = hisSerial;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getTransactionNo() {
        return transactionNo;
    }

    public void setTransactionNo(String transactionNo) {
        this.transactionNo = transactionNo;
    }

    public String getInsuranceSerial() {
        return insuranceSerial;
    }

    public void setInsuranceSerial(String insuranceSerial) {
        this.insuranceSerial = insuranceSerial;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertType() {
        return certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getOutpatientId() {
        return outpatientId;
    }

    public void setOutpatientId(String outpatientId) {
        this.outpatientId = outpatientId;
    }

    public String getPrescriptionId() {
        return prescriptionId;
    }

    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }
}
